ApiAuth_clusters
Callback from the cluster's OIDC provider
GET
If the cluster is not found or disabled, return 404.
ns*stringNamespace containing the cluster.
cluster*stringCluster name that should exist in the namespace.
code*stringAuthorization code from the OIDC provider.
state*stringState parameter to prevent CSRF.
x-front-callback*|If it's from the frontend, this header will be set.
x-kubectl-callback*|If it's from kubectl plugin, this header will be set.
Response from remote cluster.
application/json- response
Model for the callback response after successful authentication with the cluster.
This model contains the access token, refresh token, cluster URL, subject, and ID token returned by the cluster after successful authentication.
access_token*stringcluster_url*stringid_token*stringrefresh_token*stringsubject*stringcurl -X GET 'https://example.com/clusters/string/string/auth/callback?code=string&state=string' \ -H 'x-front-callback: string' \ -H 'x-kubectl-callback: string'Example Response
{ "access_token": "string", "cluster_url": "string", "id_token": "string", "refresh_token": "string", "subject": "string"}